Bug 1688636 - Missing checkbox to toggle between applicable errata and installabe errata in the errata content hosts page.
Summary: Missing checkbox to toggle between applicable errata and installabe errata in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts - Content
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Hao Chang Yu
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-14 06:52 UTC by Hao Chang Yu
Modified: 2019-10-07 17:17 UTC (History)
1 user (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.34-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:29 UTC


Attachments (Terms of Use)
Applicable (20.35 KB, image/png)
2019-04-01 17:02 UTC, Stephen Wadeley
no flags Details
Installable (22.91 KB, image/png)
2019-04-01 17:02 UTC, Stephen Wadeley
no flags Details
All Errata (34.40 KB, image/png)
2019-04-01 17:03 UTC, Stephen Wadeley
no flags Details


Links
System ID Priority Status Summary Last Updated
Github Katello katello pull 8017 None None None 2019-03-14 06:53:11 UTC
Foreman Issue Tracker 26353 None None None 2019-03-14 06:52:17 UTC
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:36 UTC

Description Hao Chang Yu 2019-03-14 06:52:17 UTC
Description of problem:

The checkbox to toggle between applicable errata and installabe errata in the errata content hosts page is missing because of the following typo in the html template.

engines/bastion_katello/app/assets/javascripts/bastion_katello/errata/details/views/erratum-content-hosts.html

&lt;div class="filters"&gt;    <=========== Class should be replaced with "data-block" 
    &lt;label class="checkbox-inline"&gt;
      &lt;input type="checkbox" ng-model="restrictInstallable" ng-change="toggleInstallable()"/&gt;
      &lt;span translate&gt;Only show content hosts where the errata is currently installable in the host's Lifecycle Environment.&lt;/span&gt;
    &lt;/label&gt;
  &lt;/div&gt;

Comment 3 Bryan Kearney 2019-03-25 22:05:03 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26353 has been resolved.

Comment 6 Stephen Wadeley 2019-04-01 17:02:10 UTC
Created attachment 1550684 [details]
Applicable

Comment 7 Stephen Wadeley 2019-04-01 17:02:41 UTC
Created attachment 1550685 [details]
Installable

Comment 8 Stephen Wadeley 2019-04-01 17:03:13 UTC
Created attachment 1550686 [details]
All Errata

Comment 11 errata-xmlrpc 2019-05-14 12:40:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.